abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

dnes 01:11 | Nová verze

Byla vydána nová verze 13.1 svobodného unixového operačního systému FreeBSD. Podrobný přehled novinek v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
dnes 00:11 | Nová verze

Byla vydána nová verze 1.2 svobodného multiplatformního vektorového grafického editoru Inkscape. Podrobný přehled novinek i s náhledy a animovanými gify v poznámkách k vydání a ve videu na YouTube.

Ladislav Hagara | Komentářů: 0
včera 23:33 | Nová verze

Multiplatformní audio přehrávač DeaDBeeF (Wikipedie) byl vydán v nové verzi 1.9.0 a krátce na to v opravné verzi 1.9.1. Odstraněna byla ruská lokalizace.

Ladislav Hagara | Komentářů: 1
včera 18:22 | Nová verze

Byla vydána nová verze 2022.2 průběžně aktualizované linuxové distribuce navržené pro digitální forenzní analýzu a penetrační testování Kali Linux (Wikipedie). Přehled novinek i s náhledy a seznamem nových nástrojů v oficiálním oznámení.

Ladislav Hagara | Komentářů: 0
včera 09:00 | Pozvánky

Letošní konference OpenAlt proběhne již o víkendu 17. a 18. září. Organizátoři hledají přednášející.

Ladislav Hagara | Komentářů: 0
15.5. 16:11 | Zajímavý článek

Alyssa Rosenzweig informuje o aktuálním stavu open source ovladače pro Apple M1 GPU. Po trojúhelníku a točící se kostce lze již zobrazit i točícího se králíčka z glmark2.

Ladislav Hagara | Komentářů: 9
15.5. 15:22 | Nová verze

Nadace The Document Foundation oznámila vydání sedmého opravného balíku LibreOffice 7.2 Community, posledního z řady LibreOffice 7.2. Opravuje téměř 50 chyb.

Petr Valach | Komentářů: 5
15.5. 15:11 | Nová verze

V návaznosti na středeční vydání nové verze Red Hat Enterprise Linuxu bylo oznámeno vydání jeho klonu AlmaLinux 8.6.

Pavel Půlpán | Komentářů: 11
13.5. 12:33 | Nová verze

Byla vydána nová verze 1.38.0 sady nástrojů pro správu síťových připojení NetworkManager. Novinkám se v příspěvku na blogu NetworkManageru věnuje Ľubomír Rintel.

Ladislav Hagara | Komentářů: 2
13.5. 11:33 | Pozvánky

V sobotu 14. května proběhne Maker Faire Plzeň. Na třetím ročníku se opět můžete těšit na moderní technologie, studentské projekty, ale i na řemesla či zábavné instalace.

Ladislav Hagara | Komentářů: 0
Na sociálních sítích nebo jiných webových diskuzích vystupuji pod
 (62%)
 (16%)
 (22%)
Celkem 263 hlasů
 Komentářů: 16, poslední 10.5. 14:14
Rozcestník


Dotaz: Kompilace XMMS, GNOME 2.4

blami avatar 16.10.2003 18:46 blami | skóre: 29 | Praha
Kompilace XMMS, GNOME 2.4
Přečteno: 65×
kompiloval jste si nekdo Gnome 2.4 ... daval sem si ho bokem do /usr/local/gnome nemuzu zkompilovat balik gnome-media protoze to chce pc ke gstreameru 0.5 a v tech balikach co sem stah uz je 0.6 kdyz to zkompiluju s 0.5 tak rve ze chybi knihovny gstreamer-libs 0.6 ... fakt uz to nechapu :). Dalsi vec je xmms ... snazim se zkompilovat 1.2.8 ale problem je ze configure skript ignoruje cesty v PATH nebo parametrech. treba esd mam v tom gnome v /usr/local/gnome a on tam vubec nesmatra i kdyz to mam v pathu i mu to davam primo parametrem. Jak se vubec overridujou knihovny (pouzivam Debian a nechci si instalaci do /usr vytvorit bordel a rozhodit apt a nepouzivat druhou uroven /usr/local je pro me vyhodny zase z hlediska zalohovani kdy si vypalim uz zkompilovanyho gimpa, gnome ...

Odpovědi

Stanislav Brabec avatar 17.10.2003 10:45 Stanislav Brabec | skóre: 45 | Praha
Rozbalit Rozbalit vše Kompilace XMMS, GNOME 2.4
0) Nestačí jen export PATH=$PATH:cosi. 1) Musíte mít cestu ke knihovnám v /etc/ld.so.conf a pak dát ldconfig (zkontrolujte si, jestli to distribuce nepřepisuje). 2) Potřebujete nastavit proměnnou PKGCONFIG_PATH (a pro vlastní vývoj ještě cestu pro aclocal). Asi takto (bez záruky):
export PKGCONFIG_PATH=/usr/local/gnome/lib/pkgconfig
# Pro vlastní vývoj:
echo /usr/local/gnome/share/aclocal >>/usr/share/aclocal/dirlist
(/usr/lib/pkgconfig tam tuším přidá samo). 3) configure hledá natvrdo, pokud nehledá pomocí *-config skriptů. Nenajde-li, řešením je --with-gtk=... 4) Možná potřebujete i gst-plugins. 5) Podle FHS byste neměl použít /usr/local/gnome, ale /opt/gnome. Ale to je vaše věc.
blami avatar 17.10.2003 13:15 blami | skóre: 29 | Praha
Rozbalit Rozbalit vše Kompilace XMMS, GNOME 2.4
ldconfig a PATH je jasny, diky, bylo to v gst-plugins ... ono to oficialni poradi na prekladani baliku ma jeste mouchy :) ... 5) chapu ze asi existujou urcite standarty jenze ja v tom mam svoji logiku. mmc. pohledam ... treba se preucim. :)

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.